<?php
/**
 * The template for displaying comments
 *
 * The area of the page that contains both current comments
 * and the comment form.
 *
 * @package WordPress
 * @subpackage BigBazaar
 * @since BigBazaar 1.0
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area">

	<?php if ( have_comments() ) : ?>
		<h2 class="comments-title">
			<?php
				printf( _nx( '', 'Comments (%1$s)', get_comments_number(), 'comments title', 'bigbazaar' ),
					number_format_i18n( get_comments_number() ), get_the_title() );
			?>
		</h2>

		<?php bigbazaar_comment_nav(); ?>

		<ol class="comment-list">
			<?php
				wp_list_comments( array( 'callback' => 'bigbazaar_comment' ));
			?>
		</ol><!-- .comment-list -->

		<?php bigbazaar_comment_nav(); ?>

	<?php endif; // have_comments() ?>

	<?php
		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
		<p class="no-comments"><?php _e( 'Comments are closed.', 'bigbazaar' ); ?></p>
	<?php endif; ?>

	<?php comment_form(); ?>

</div><!-- .comments-area -->
